pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 > Class Template Referenceabstract
Module visualization

Base Handler class for PointCloud colors. More...

`#include <pcl/visualization/point_cloud_color_handlers.h>`

Inheritance diagram for pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >:

## Public Types

typedef pcl::PCLPointCloud2 | PointCloud
typedef PointCloud::Ptr | PointCloudPtr
typedef PointCloud::ConstPtr | PointCloudConstPtr
typedef boost::shared_ptr< PointCloudColorHandler< PointCloud > > | Ptr
typedef boost::shared_ptr< const PointCloudColorHandler< PointCloud > > | ConstPtr

## Public Member Functions

| PointCloudColorHandler (const PointCloudConstPtr &cloud)
| Constructor. More...
virtual | ~PointCloudColorHandler ()
| Destructor. More...
bool | isCapable () const
| Return whether this handler is capable of handling the input data or not. More...
virtual std::string | getName () const =0
| Abstract getName method. More...
virtual std::string | getFieldName () const =0
| Abstract getFieldName method. More...
virtual bool | getColor (vtkSmartPointer< vtkDataArray > &scalars) const =0
| Obtain the actual color for the input dataset as vtk scalars. More...
void | setInputCloud (const PointCloudConstPtr &cloud)
| Set the input cloud to be used. More...

## Protected Attributes

PointCloudConstPtr | cloud_
| A pointer to the input dataset. More...
bool | capable_
| True if this handler is capable of handling the input data, false otherwise. More...
int | field_idx_
| The index of the field holding the data that represents the color. More...

## Detailed Description

### template<>
class pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >

Base Handler class for PointCloud colors.

Author
  Radu B. Rusu

Definition at line 504 of file point_cloud_color_handlers.h.

## Member Typedef Documentation

typedef boost::shared_ptr<const PointCloudColorHandler<PointCloud> > pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >::ConstPtr

Definition at line 512 of file point_cloud_color_handlers.h.

typedef pcl::PCLPointCloud2 pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >::PointCloud

Definition at line 507 of file point_cloud_color_handlers.h.

typedef PointCloud::ConstPtr pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >::PointCloudConstPtr

Definition at line 509 of file point_cloud_color_handlers.h.

typedef PointCloud::Ptr pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >::PointCloudPtr

Definition at line 508 of file point_cloud_color_handlers.h.

typedef boost::shared_ptr<PointCloudColorHandler<PointCloud> > pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >::Ptr

Definition at line 511 of file point_cloud_color_handlers.h.

## Constructor & Destructor Documentation

pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >::PointCloudColorHandler | ( | const PointCloudConstPtr & | cloud | ) |

inline

Constructor.

Definition at line 515 of file point_cloud_color_handlers.h.

virtual pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >::~PointCloudColorHandler | ( |  | ) |

inline virtual

Destructor.

Definition at line 520 of file point_cloud_color_handlers.h.

## Member Function Documentation

virtual bool pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >::getColor | ( | vtkSmartPointer< vtkDataArray > & | scalars | ) | const

pure virtual

Obtain the actual color for the input dataset as vtk scalars.

Parameters

  [out] | scalars | the output scalars containing the color for the dataset

Returns
  true if the operation was successful (the handler is capable and the input cloud was given as a valid pointer), false otherwise

Implemented in pcl::visualization::PointCloudColorHandlerRGBAField< pcl::PCLPointCloud2 >, pcl::visualization::PointCloudColorHandlerGenericField< pcl::PCLPointCloud2 >, pcl::visualization::PointCloudColorHandlerHSVField< pcl::PCLPointCloud2 >, pcl::visualization::PointCloudColorHandlerRGBField< pcl::PCLPointCloud2 >, pcl::visualization::PointCloudColorHandlerCustom< pcl::PCLPointCloud2 >, and pcl::visualization::PointCloudColorHandlerRandom< pcl::PCLPointCloud2 >.

virtual std::string pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >::getFieldName | ( |  | ) | const

pure virtual

Abstract getFieldName method.

Implemented in pcl::visualization::PointCloudColorHandlerRGBAField< pcl::PCLPointCloud2 >, pcl::visualization::PointCloudColorHandlerGenericField< pcl::PCLPointCloud2 >, pcl::visualization::PointCloudColorHandlerHSVField< pcl::PCLPointCloud2 >, pcl::visualization::PointCloudColorHandlerRGBField< pcl::PCLPointCloud2 >, pcl::visualization::PointCloudColorHandlerCustom< pcl::PCLPointCloud2 >, and pcl::visualization::PointCloudColorHandlerRandom< pcl::PCLPointCloud2 >.

virtual std::string pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >::getName | ( |  | ) | const

pure virtual

Abstract getName method.

Implemented in pcl::visualization::PointCloudColorHandlerRGBAField< pcl::PCLPointCloud2 >, pcl::visualization::PointCloudColorHandlerGenericField< pcl::PCLPointCloud2 >, pcl::visualization::PointCloudColorHandlerHSVField< pcl::PCLPointCloud2 >, pcl::visualization::PointCloudColorHandlerRGBField< pcl::PCLPointCloud2 >, pcl::visualization::PointCloudColorHandlerCustom< pcl::PCLPointCloud2 >, and pcl::visualization::PointCloudColorHandlerRandom< pcl::PCLPointCloud2 >.

bool pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >::isCapable | ( |  | ) | const

inline

Return whether this handler is capable of handling the input data or not.

Definition at line 524 of file point_cloud_color_handlers.h.

References pcl::visualization::PointCloudColorHandler< PointT >::capable_, pcl::visualization::PointCloudColorHandler< PointT >::getColor(), pcl::visualization::PointCloudColorHandler< PointT >::getFieldName(), and pcl::visualization::PointCloudColorHandler< PointT >::getName().

void pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >::setInputCloud | ( | const PointCloudConstPtr & | cloud | ) |

inline

Set the input cloud to be used.

Parameters

  [in] | cloud | the input cloud to be used by the handler

Definition at line 546 of file point_cloud_color_handlers.h.

References pcl::visualization::PointCloudColorHandler< PointT >::cloud_.

## Member Data Documentation

bool pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >::capable_

protected

True if this handler is capable of handling the input data, false otherwise.

Definition at line 558 of file point_cloud_color_handlers.h.

PointCloudConstPtr pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >::cloud_

protected

A pointer to the input dataset.

Definition at line 553 of file point_cloud_color_handlers.h.

int pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >::field_idx_

protected

The index of the field holding the data that represents the color.

Definition at line 561 of file point_cloud_color_handlers.h.

The documentation for this class was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/visualization/include/pcl/visualization/point_cloud_color_handlers.h